<?
include_once '../core/system.php';
$header = 'Смена Пароля';
include_once '../core/head.php';
switch($act) {
case 'post':
if(isset($_POST['pass1']) && isset($_POST['pass2']) && isset($_POST['pass3']) ){
$pass1 = check($_POST['pass1']);
$pass2 = check($_POST['pass2']);
$pass3 = check($_POST['pass3']);
if(strlen($pass1) < 6 or strlen($pass1) > 20) $err =  'Длина пароля должна быть в пределах 6 - 20 символов';
if(strlen($pass1) != strlen($pass2)) $err =  'Пароли не совпадают!';
if(strlen($pass3) != strlen($user['pass'])) $err =  'Старый пароль введен не верно!';
if(!isset($err)) {
mysql_query("UPDATE `user` SET `pass` = '".mysql_real_escape_string($pass1)."' WHERE `id` = '$user[id]' LIMIT 1");
setcookie('pass', $pass1, time()+86400*365, '/');
header('Location: ?');
$_SESSION['message'] = 'Пароль изменен!';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
}
}
break;
default;
echo '<div class="new-link-tree" style="vertical-align:middle;"><div class="new-link-tree-step1"><a href="/" class="new-tree-link"><span class="link-span">Главная</span></a></div><div class="new-link-tree-step2"><a href="/settings.php" class="new-tree-link"><span class="link-span"> Мой бандит</span></a></div></div>';
echo '<form class="player" method="post" action="?act=post">
<div class-"block10t"><div class="panelInfo"><div class="panelInfoHeader">Поменять пароль</div><center>Новый пароль<br /><input class="text large" type="password" name="pass1" /><br />
Подтвердите новый пароль<br /><input class="text large" type="password" name="pass2" /><br />
Старый пароль<br /><input class="text large" type="password" name="pass3" /><br />
<div class="block10t"><input class="button_xl" type="submit" value="Сохранить"></div></center></div></div>
</form>';
}
include_once '../core/foot.php';
?>